Reopen accounting period
curl --request POST \
--url https://api.entendre.finance/v1/accounting-periods/{period_id}/reopen \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'POST',
headers: {'Idempotency-Key': '<idempotency-key>', 'X-API-Key': '<api-key>'}
};
fetch('https://api.entendre.finance/v1/accounting-periods/{period_id}/reopen', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.entendre.finance/v1/accounting-periods/{period_id}/reopen"
headers = {
"Idempotency-Key": "<idempotency-key>",
"X-API-Key": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text){
"data": {
"id": "ap_123def",
"organization_id": "org_abc123",
"name": "September 2026",
"start_date": "2026-08-31T12:00:00Z",
"end_date": "2026-08-31T12:00:00Z",
"status": "open",
"legal_entity_id": "le_507f1f77bcf86cd799439011",
"closed_on_date": "2026-08-31T12:00:00Z",
"closed_by": "usr_507f1f77bcf86cd799439011",
"created_at": "2025-01-01T00:00:00.000Z",
"updated_at": "2025-01-01T00:00:00.000Z"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid path, query or request body.",
"request_id": "req_example"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication is required.",
"request_id": "req_example"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Insufficient access to organization",
"request_id": "req_example"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found",
"request_id": "req_example"
}
}{
"error": {
"code": "CONFLICT",
"message": "The resource state does not allow this operation.",
"request_id": "req_example"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded. Retry after 30s.",
"request_id": "req_example"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error",
"request_id": "req_example"
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service unavailable.",
"request_id": "req_example"
}
}Accounting Periods
Reopen accounting period
Reopens an accounting period. Provide a reason. Entendre checks permissions and records who reopened the period.
POST
/
v1
/
accounting-periods
/
{period_id}
/
reopen
Reopen accounting period
curl --request POST \
--url https://api.entendre.finance/v1/accounting-periods/{period_id}/reopen \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'POST',
headers: {'Idempotency-Key': '<idempotency-key>', 'X-API-Key': '<api-key>'}
};
fetch('https://api.entendre.finance/v1/accounting-periods/{period_id}/reopen', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.entendre.finance/v1/accounting-periods/{period_id}/reopen"
headers = {
"Idempotency-Key": "<idempotency-key>",
"X-API-Key": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text){
"data": {
"id": "ap_123def",
"organization_id": "org_abc123",
"name": "September 2026",
"start_date": "2026-08-31T12:00:00Z",
"end_date": "2026-08-31T12:00:00Z",
"status": "open",
"legal_entity_id": "le_507f1f77bcf86cd799439011",
"closed_on_date": "2026-08-31T12:00:00Z",
"closed_by": "usr_507f1f77bcf86cd799439011",
"created_at": "2025-01-01T00:00:00.000Z",
"updated_at": "2025-01-01T00:00:00.000Z"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid path, query or request body.",
"request_id": "req_example"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication is required.",
"request_id": "req_example"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Insufficient access to organization",
"request_id": "req_example"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found",
"request_id": "req_example"
}
}{
"error": {
"code": "CONFLICT",
"message": "The resource state does not allow this operation.",
"request_id": "req_example"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded. Retry after 30s.",
"request_id": "req_example"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error",
"request_id": "req_example"
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service unavailable.",
"request_id": "req_example"
}
}Authorizations
Your organization API key. Some operations also need a key that is associated with a user; their pages say so.
Headers
Unique key for this operation. Retry with the same key and request body after a timeout. Keys are retained for at least 24 hours.
Required string length:
1 - 255Path Parameters
ID of the period.
Minimum string length:
1Response
The request succeeded.
Show child attributes
Show child attributes